apd_continue
apd_dump_function_table
APD Functions
PHP Manual

# apd_croak

(PECL apd 0.2-0.4)

apd_croak — Throw an error, a callstack and then exit

### Description

void apd_croak ( string `$warning` [, string `$delimiter` = "<BR />" ] )

Behaves like perl's Carp::croak. Throw an error, a callstack and then exit.

### Parameters

`warning`

  The warning to throw.

`delimiter`

  The delimiter. Default to <BR />.

### Return Values

No value is returned.

### Examples

Example #1 apd_croak() example

`<?php
apd_croak("Some Warning","<P>");
?>`

### See Also

- apd_clunk() - Throw a warning and a callstack

apd_continue
apd_dump_function_table
APD Functions
PHP Manual